#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../../../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     := snd_ainstr.a
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

ifeq ($(CONFIG_SND_SEQ_AINSTR_SIMPLE),y)
  LX_OBJS += ainstr_simple.o
else
  ifeq ($(CONFIG_SND_SEQ_AINSTR_SIMPLE),m)
    M_OBJS += snd-ainstr-simple.o
    MIX_OBJS += ainstr_simple.o
  endif
endif

ifeq ($(CONFIG_SND_SEQ_AINSTR_GF1),y)
  LX_OBJS += ainstr_gf1.o
else
  ifeq ($(CONFIG_SND_SEQ_AINSTR_GF1),m)
    M_OBJS += snd-ainstr-gf1.o
    MIX_OBJS += ainstr_gf1.o
  endif
endif

ifeq ($(CONFIG_SND_SEQ_AINSTR_IW),y)
  LX_OBJS += ainstr_iw.o
else
  ifeq ($(CONFIG_SND_SEQ_AINSTR_IW),m)
    M_OBJS += snd-ainstr-iw.o
    MIX_OBJS += ainstr_iw.o
  endif
endif

include $(TOPDIR)/Rules.make

snd-ainstr-simple.o: ainstr_simple.o
	$(LD) $(LD_RFLAG) -r -o $@ ainstr_simple.o

snd-ainstr-gf1.o: ainstr_gf1.o
	$(LD) $(LD_RFLAG) -r -o $@ ainstr_gf1.o

snd-ainstr-interwave.o: ainstr_interwave.o
	$(LD) $(LD_RFLAG) -r -o $@ ainstr_interwave.o
